<template>
  <div class="payment-order-header">
    <div class="payment-order-header--title">
      {{order.serviceTypeTitle}}
    </div>
    <div class="payment-order-header--path">
      <span>География</span>
      <span>{{order.startPoint}} → {{order.endPoint}}</span>
    </div>
    <div class="payment-order-header--amount">
      <span>Сумма оплаты</span>
      <span>{{ paymentsSum | currency({ dot: 2 }) }}</span>
    </div>
  </div>
</template>

<script>
  export default {
    name: "headerPayment",
    props: {
      order: {
        type:  Object,
        default: () => {}
      },
      payments: {
        type:  Array,
        default: () => []
      }
    },
    computed: {
      paymentsSum () {
        let sum = 0

        this.payments.forEach((item) => {
          sum += item.amount
        })

        return sum / 100
      }
    }
  }
</script>

<style scoped lang="scss">
  .payment-order-header {
    display: flex;
    padding: 15px 20px;
    border-bottom: none;
    background: $light-lavender;
    &--title {
      flex: 2;
      font-size: 16px;
      line-height: 20px;
      letter-spacing: 0.2px;
      color: #191E32;
    }
    &--path {
      width: 350px;
    }
    &--amount {
      width: 150px;
      text-align: right;
    }
    &--path, &--amount {
      margin-left: 40px;
      span {
        display: block;
        &:first-child {
          letter-spacing: 0.4px;
          text-transform: uppercase;
          font-size: 9px;
          line-height: 12px;
          color: $shale-gray;
        }
        &:last-child {
          font-size: 14px;
          line-height: 20px;
          letter-spacing: 0.2px;
          color: $color-text-base;
        }
        i {
          font-size: 9px;
        }
      }
    }
  }
</style>
